## rtpvrawpay

rtpvrawpay

## Properties

gint | chunks-per-frame | Read / Write

## Types and Values

struct | GstRtpVRawPay

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstRTPBasePayload
                        ╰── GstRtpVRawPay

## Description

## Synopsis

### Element Information

plugin | rtp
author | Wim Taymans <wim.taymans@gmail.com>
class | Codec/Payloader/Network/RTP

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw, format=(string){ RGB, RGBA, BGR, BGRA, AYUV, UYVY, I420, Y41B, UYVP }, width=(int)[ 1, 32767 ], height=(int)[ 1, 32767 ]

name | src
direction | source
presence | always
details | application/x-rtp, media=(string)video, payload=(int)[ 96, 127 ], clock-rate=(int)90000, encoding-name=(string)RAW, sampling=(string){ RGB, RGBA, BGR, BGRA, YCbCr-4:4:4, YCbCr-4:2:2, YCbCr-4:2:0, YCbCr-4:1:1 }, depth=(string){ 8, 10, 12, 16 }, colorimetry=(string){ BT601-5, BT709-2, SMPTE240M }

## Functions

## Types and Values

### struct GstRtpVRawPay

    struct GstRtpVRawPay;

## Property Details

### The `“chunks-per-frame”` property

      “chunks-per-frame”         gint

Split and send out each frame in multiple chunks to reduce overhead.

Owner: GstRtpVRawPay

Flags: Read / Write

Allowed values: >= 1

Default value: 10